
Infrastructure - Bug #2341

Metacat fails with IdentifierNotUnique after initial failure

2012-02-15 17:21 - Robert Waltz

Status: Closed Start date: 2012-02-15

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2012.07-Block.1.4   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

During Synchronization, a MemberNode may produce bad XML for some reason.  If it is fixed and synchronization picks it up again,

Metacat will fail with IdentifierNotUnique even though the record had never been created.  I think that the Identifier may be somehow

kept in hazelcast even though it is not stored in postgres, but that is only conjecture on my part.

The error conditions in which this could occur would be very rare.

History

#1 - 2012-02-15 17:54 - Ben Leinfelder

Try this:

1. MN.create() with bad data

2. MN.create() with same identifier

will fail with IdentifierNotUnique

#2 - 2012-02-15 18:07 - Robert Waltz

- Assignee changed from Ben Leinfelder to Chris Jones

#3 - 2012-02-15 18:10 - Robert Waltz

- Assignee changed from Chris Jones to Ben Leinfelder

#4 - 2012-02-20 21:18 - Ben Leinfelder

- Status changed from New to Closed

When there is an error inserting a document in metacat, we roll back the identifier mapping so that it is not considered as taken.

a new knb.war file has been added to cn-buildout with this change -- please try it out.

Files

MetaCatIdentifierNotUniqueError.txt 4.38 KB 2012-02-15 Robert Waltz
